## helm 1.9.8

=== Makefile ===
# makefile for helm.

# Author: Michael Markert.
# Copyright (C) 2011~2012, Michael Markert, all rights reserved.

## This file is NOT part of GNU Emacs
##
## License
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING.  If not, write to
## the Free Software Foundation, Inc., 51 Franklin Street, Fifth
## Floor, Boston, MA 02110-1301, USA.

# Emacs invocation
EMACS_COMMAND   := emacs

EMACS		:= $(EMACS_COMMAND) -Q -batch

EVAL := $(EMACS) --eval

PKGDIR := .

# Additional emacs loadpath
LOADPATH	:= -L .

# Files to compile
EL			:= $(sort $(wildcard helm*.el))

# Compiled files
ELC			:= $(EL:.el=.elc)


.PHONY: clean autoloads batch-compile

all: clean autoloads batch-compile

$(ELC): %.elc: %.el
	$(EMACS) $(LOADPATH) -f batch-byte-compile $<

# Compile needed files
compile: $(ELC)

# Compile all files at once
batch-compile:
	$(EMACS) $(LOADPATH) -f batch-byte-compile $(EL)

# Remove all generated files
clean:
	rm -f $(ELC)

# Make autoloads file
autoloads:
	$(EVAL) "(let ((generated-autoload-file (expand-file-name \"helm-autoloads.el\" \"$(PKGDIR)\")) \
(backup-inhibited t)) (update-directory-autoloads \"$(PKGDIR)\"))"

## helm 1.9.1

=== debian/changelog ===
helm (1.9.1-1) unstable; urgency=medium

  * Initial release. (Closes: #810289)

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 29 Jan 2016 20:35:56 -0700

=== debian/control ===
Source: helm
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.18)
Standards-Version: 3.9.6
Homepage: https://emacs-helm.github.io/helm/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/helm.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/helm.git/

Package: elpa-helm-core
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: Emacs Helm library files
 This package provides library Emacs Lisp files used by the elpa-helm
 package, and by Emacs Lisp addons that depend on Helm.
 .
 Please see the description & documentation for the elpa-helm package
 for more information.

Package: elpa-helm
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: Emacs incremental completion and selection narrowing framework
 Helm is incremental completion and selection narrowing framework for
 Emacs. It will help steer you in the right direction when you're
 looking for stuff in Emacs (like buffers, files, etc).
 .
 Helm is a fork of anything.el originally written by Tamas Patrovic and
 can be considered to be its successor. Helm sets out to clean up the
 legacy code in anything.el and provide a cleaner, leaner and more
 modular tool, that's not tied in the trap of backward compatibility.

## helm 1.9.2

=== debian/changelog ===
helm (1.9.2-1) unstable; urgency=medium

  * New upstream release.
    New dependency on elpa-popup.
  * Refresh patch to emacs-helm.sh.
  * Bump standards version to 3.9.7 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Feb 2016 17:54:58 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.18)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://emacs-helm.github.io/helm/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/helm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/helm.git/

## helm 1.9.5

=== debian/changelog ===
helm (1.9.5-1) unstable; urgency=medium

  * Package new upstream version.
  * Refresh patch to README.md.
  * Update d/copyright for 2016.
  * Bump standards version to 3.9.8 (no changes required).
  * Dependency on elpa-async is now a suggestion.
    - Patch helm{-core,}-pkg.el to remove dependency from ${elpa:Depends}.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 May 2016 08:17:49 -0700

## helm 1.9.6

=== debian/changelog ===
helm (1.9.6-1) unstable; urgency=medium

  * Package new upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Jun 2016 15:21:33 +0900

## helm 1.9.7

=== debian/changelog ===
helm (1.9.7-1) unstable; urgency=medium

  * Package new upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Jun 2016 15:00:39 +0900

## helm 1.9.8

=== debian/changelog ===
helm (1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Patch refresh.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Jul 2016 08:15:09 -0400

## helm 1.9.9

=== debian/changelog ===
helm (1.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete helm-plugin.el from elpa-helm.elpa.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 22 Jul 2016 06:44:38 -0700

## helm 2.0

=== debian/changelog ===
helm (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Aug 2016 11:00:54 -0700

## helm 2.1.0

=== debian/changelog ===
helm (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix path to emacs-helm.sh in patch to README.md.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 08 Sep 2016 20:34:53 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.18)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://emacs-helm.github.io/helm/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/helm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/helm.git/
@@ -14,6 +14,7 @@
 Depends: ${misc:Depends}, emacs, ${elpa:Depends}
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
+Suggests: elpa-async
 Enhances: emacs, emacs24
 Description: Emacs Helm library files
  This package provides library Emacs Lisp files used by the elpa-helm
@@ -27,6 +28,7 @@
 Depends: ${misc:Depends}, emacs, ${elpa:Depends}
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
+Suggests: elpa-async
 Enhances: emacs, emacs24
 Description: Emacs incremental completion and selection narrowing framework
  Helm is incremental completion and selection narrowing framework for

## helm 2.2.0

=== debian/changelog ===
helm (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Oct 2016 08:34:04 -0700

## helm 2.3.1

=== debian/changelog ===
helm (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Oct 2016 15:31:31 -0700

helm (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.
  * Drop d/source/local-options for dgit.
  * Binary packages enhance emacs25.
  * Remove Debian changes to .gitignore for dgit.
  * Bring 0005-remove-async-dependency.patch header in line with other patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Oct 2016 09:48:48 -0700

helm (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Oct 2016 18:45:05 -0700

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Suggests: elpa-async
-Enhances: emacs, emacs24
+Enhances: emacs, emacs24, emacs25
 Description: Emacs Helm library files
  This package provides library Emacs Lisp files used by the elpa-helm
  package, and by Emacs Lisp addons that depend on Helm.
@@ -29,7 +29,7 @@
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Suggests: elpa-async
-Enhances: emacs, emacs24
+Enhances: emacs, emacs24, emacs25
 Description: Emacs incremental completion and selection narrowing framework
  Helm is incremental completion and selection narrowing framework for
  Emacs. It will help steer you in the right direction when you're

## helm 2.3.2

=== debian/changelog ===
helm (2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 09:48:51 -0700

## helm 2.3.3

=== debian/changelog ===
helm (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Dec 2016 11:22:54 -0700

## helm 2.3.4

=== debian/changelog ===
helm (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Jan 2017 17:23:41 -0700

## helm 2.4.0

=== debian/changelog ===
helm (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0003-decruft-README.patch
  * Refresh 0005-remove-async-dependency.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jan 2017 19:11:14 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	/bin/true

## helm 2.5.0

=== debian/changelog ===
helm (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Jan 2017 08:40:48 -0700

## helm 2.7.1

=== debian/changelog ===
helm (2.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Stop installing helm-elscreen.el, which was deprecated, and removed
      in this release.
  * d/elpa-helm.docs:
    - Stop installing helm-buffers-list.gif
      Removed from README.
    - Add helm-grep-ag-persistent.png
      Now used in README.
  * Drop 0005-remove-async-dependency.patch
    Helm now depends on async in all cases, not just for installs from
    MELPA.
  * Refresh some other patches.
  * Bump debhelper compat to 10.
  * Bump standards version to 4.0.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Jun 2017 08:36:01 +0100

helm (2.5.0-2) experimental; urgency=medium

  * Team upload.
  * debian/control: Make dependencies comply with Debian Emacs Policy.
    - Depend on emacsen-common (>= 2.0.8) instead of emacs.
  
 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 27 Apr 2017 16:53:19 -0400

## helm 2.8.0

=== debian/changelog ===
helm (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 20 Jun 2017 08:38:39 +0100

## helm 2.8.1

=== debian/changelog ===
helm (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Jul 2017 17:51:45 -0700

## helm 2.8.2

=== debian/changelog ===
helm (2.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Aug 2017 18:45:18 -0700

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.18)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.18)
+Standards-Version: 4.0.0
 Homepage: https://emacs-helm.github.io/helm/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/helm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/helm.git/
 
 Package: elpa-helm-core
 Architecture: all
-Depends: ${misc:Depends}, emacs, ${elpa:Depends}
+Depends: ${elpa:Depends}, ${misc:Depends},
+ emacsen-common (>= 2.0.8)
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Suggests: elpa-async
@@ -25,7 +26,8 @@
 
 Package: elpa-helm
 Architecture: all
-Depends: ${misc:Depends}, emacs, ${elpa:Depends}
+Depends: ${elpa:Depends}, ${misc:Depends},
+ emacsen-common (>= 2.0.8)
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Suggests: elpa-async

## helm 2.8.5

=== debian/changelog ===
helm (2.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Add new files to d/elpa-helm.elpa.
  * Refresh patches.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Oct 2017 09:04:57 -0700

helm (2.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Sep 2017 12:24:18 -0700

## helm 2.8.6

=== debian/changelog ===
helm (2.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0003-decruft-README.patch
  * Clean trailing white space in Debian changelog entry for 2.5.0-2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 Nov 2017 15:55:18 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.18)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://emacs-helm.github.io/helm/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/helm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/helm.git/

## helm 2.8.7

=== debian/changelog ===
helm (2.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 30 Dec 2017 14:39:45 +0000

## helm 2.8.8

=== Makefile ===
--- 
+++ 
@@ -25,14 +25,23 @@
 # Emacs invocation
 EMACS_COMMAND   := emacs
 
-EMACS		:= $(EMACS_COMMAND) -Q -batch
+# Use -q to have /usr/local/share/emacs/site-lisp and subdirs in load-path 
+EMACS		:= $(EMACS_COMMAND) -q -batch
 
 EVAL := $(EMACS) --eval
 
 PKGDIR := .
 
 # Additional emacs loadpath
-LOADPATH	:= -L .
+LOADPATH	:= -L $(PKGDIR)
+ELPA_DIR        =  $(HOME)/.emacs.d/elpa
+ASYNC_ELPA_DIR  =  $(shell \
+	test -d $(ELPA_DIR) && \
+	find -L $(ELPA_DIR) -maxdepth 1 -regex '.*/async-[.0-9]*' 2> /dev/null | \
+	sort | tail -n 1)
+ifneq "$(ASYNC_ELPA_DIR)" ""
+	LOADPATH += -L $(ASYNC_ELPA_DIR)
+endif
 
 # Files to compile
 EL			:= $(sort $(wildcard helm*.el))

=== debian/changelog ===
helm (2.8.8-1) unstable; urgency=medium

  * New upstream release.
    - Drop helm-apt.el from d/elpa-helm.elpa.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Feb 2018 22:14:59 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.18)
 Standards-Version: 4.1.1
 Homepage: https://emacs-helm.github.io/helm/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/helm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/helm.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/helm.git/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/helm
 
 Package: elpa-helm-core
 Architecture: all

## helm 2.9.2

=== Makefile ===
--- 
+++ 
@@ -72,3 +72,18 @@
 autoloads:
 	$(EVAL) "(let ((generated-autoload-file (expand-file-name \"helm-autoloads.el\" \"$(PKGDIR)\")) \
 (backup-inhibited t)) (update-directory-autoloads \"$(PKGDIR)\"))"
+
+PREFIX=/usr/local/
+BIN=${PREFIX}bin/
+DESTDIR=${PREFIX}share/emacs/site-lisp/helm/
+install:
+	test -d ${DESTDIR} || mkdir ${DESTDIR}
+	cp -vf *.elc $(DESTDIR)
+	cp -vf helm-autoloads.el $(DESTDIR)
+	cp -vf emacs-helm.sh $(DESTDIR)
+	ln -fs ${DESTDIR}emacs-helm.sh ${BIN}helm
+uninstall:
+	rm -vf ${DESTDIR}*.elc
+	rm -vf ${DESTDIR}*.el
+	rm -vf ${DESTDIR}emacs-helm.sh
+	rm -vf ${BIN}helm

=== debian/changelog ===
helm (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0003-decruft-README.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Apr 2018 09:23:53 -0700

helm (2.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Override dh_auto_install to do nothing.
  * Refresh 0004-patch-emacs-helm-sh.patch.
  * Drop --parallel from d/rules.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 12 Mar 2018 18:13:44 -0700

## helm 2.9.6

=== debian/changelog ===
helm (2.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Jun 2018 11:06:11 +0100

## helm 2.9.7

=== debian/changelog ===
helm (2.9.7-1) unstable; urgency=medium

  * Update to new upstream version 2.9.7.
  * Patch .gitignore for `git debrebase`.
    Drop lines that cause git to ignore debian/patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Jul 2018 16:21:29 +0100

## helm 3.0

=== Makefile ===
--- 
+++ 
@@ -78,6 +78,7 @@
 DESTDIR=${PREFIX}share/emacs/site-lisp/helm/
 install:
 	test -d ${DESTDIR} || mkdir ${DESTDIR}
+	cp -vf *.el $(DESTDIR)
 	cp -vf *.elc $(DESTDIR)
 	cp -vf helm-autoloads.el $(DESTDIR)
 	cp -vf emacs-helm.sh $(DESTDIR)

=== debian/changelog ===
helm (3.0-1) unstable; urgency=medium

  * Update to new upstream version 3.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Aug 2018 16:00:40 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:

override_dh_auto_install:

## helm 3.2

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # Emacs invocation
 EMACS_COMMAND   := emacs
 
-# Use -q to have /usr/local/share/emacs/site-lisp and subdirs in load-path 
+# Use -q to have /usr/local/share/emacs/site-lisp and subdirs in load-path
 EMACS		:= $(EMACS_COMMAND) -q -batch
 
 EVAL := $(EMACS) --eval

=== debian/changelog ===
helm (3.2-1) unstable; urgency=medium

  * Update to new upstream version 3.2.
    - Update d/copyright.
    - Add helm-{comint,occur,shell}.el to d/elpa-helm.elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Jul 2019 11:52:35 +0100

## helm 3.5.0

=== Makefile ===
--- 
+++ 
@@ -70,14 +70,16 @@
 
 # Make autoloads file
 autoloads:
-	$(EVAL) "(let ((generated-autoload-file (expand-file-name \"helm-autoloads.el\" \"$(PKGDIR)\")) \
-(backup-inhibited t)) (update-directory-autoloads \"$(PKGDIR)\"))"
+	$(EVAL) "(progn (setq generated-autoload-file (expand-file-name \"helm-autoloads.el\" \"$(PKGDIR)\")) \
+(setq backup-inhibited t) (update-directory-autoloads \"$(PKGDIR)\"))"
 
 PREFIX=/usr/local/
 BIN=${PREFIX}bin/
 DESTDIR=${PREFIX}share/emacs/site-lisp/helm/
 install:
 	test -d ${DESTDIR} || mkdir ${DESTDIR}
+	rm -vf ${DESTDIR}*.el
+	rm -vf ${DESTDIR}*.elc
 	cp -vf *.el $(DESTDIR)
 	cp -vf *.elc $(DESTDIR)
 	cp -vf helm-autoloads.el $(DESTDIR)

=== debian/changelog ===
helm (3.5.0-2) unstable; urgency=medium

  * Demote elpa-helm-org Recommends -> Suggests.
  * Add NEWS.Debian entry about installing elpa-helm-org.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 15 Oct 2019 13:52:26 -0700

helm (3.5.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Sean Whitton ]
  * Update to new upstream version 3.5.0.
  * Recommend elpa-helm-org.
    Split out from this package.
  * Add README.source.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 15 Oct 2019 09:53:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: helm
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.18)
 Standards-Version: 4.1.1
@@ -30,7 +30,7 @@
  emacsen-common (>= 2.0.8)
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
-Suggests: elpa-async
+Suggests: elpa-async, elpa-helm-org
 Enhances: emacs, emacs24, emacs25
 Description: Emacs incremental completion and selection narrowing framework
  Helm is incremental completion and selection narrowing framework for

## helm 3.6.0

=== Makefile ===
--- 
+++ 
@@ -78,12 +78,12 @@
 DESTDIR=${PREFIX}share/emacs/site-lisp/helm/
 install:
 	test -d ${DESTDIR} || mkdir ${DESTDIR}
-	rm -vf ${DESTDIR}*.el
-	rm -vf ${DESTDIR}*.elc
-	cp -vf *.el $(DESTDIR)
-	cp -vf *.elc $(DESTDIR)
-	cp -vf helm-autoloads.el $(DESTDIR)
-	cp -vf emacs-helm.sh $(DESTDIR)
+	rm -f ${DESTDIR}*.el
+	rm -f ${DESTDIR}*.elc
+	cp -f *.el $(DESTDIR)
+	cp -f *.elc $(DESTDIR)
+	cp -f helm-autoloads.el $(DESTDIR)
+	cp -f emacs-helm.sh $(DESTDIR)
 	ln -fs ${DESTDIR}emacs-helm.sh ${BIN}helm
 uninstall:
 	rm -vf ${DESTDIR}*.elc

=== debian/changelog ===
helm (3.6.0-1) unstable; urgency=medium

  * Update to new upstream version 3.6.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jan 2020 06:53:38 -0700

helm (3.5.0-3) unstable; urgency=medium

  * Patch an autoload cookie into helm-easymenu.el (Closes: #943371).
    Thanks Aaron M. Ucko for the report.
  * Drop helm-org.el from d/elpa-helm.elpa.
  * Drop unused Built-Using fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Oct 2019 13:12:54 -0700

## helm 3.6.1

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,11 @@
 
 # Additional emacs loadpath
 LOADPATH	:= -L $(PKGDIR)
-ELPA_DIR        =  $(HOME)/.emacs.d/elpa
+
+# Prefer emacs config folder in XDG_CONFIG_HOME to ~/.emacs.d
+XDG_ELPA_DIR	:= $(if $(XDG_CONFIG_HOME), $(XDG_CONFIG_HOME)/emacs/elpa, $(HOME)/.config/emacs/elpa)
+ELPA_DIR := $(if $(shell test -d $(XDG_ELPA_DIR)), $(HOME)/.emacs.d/elpa, $(XDG_ELPA_DIR))
+
 ASYNC_ELPA_DIR  =  $(shell \
 	test -d $(ELPA_DIR) && \
 	find -L $(ELPA_DIR) -maxdepth 1 -regex '.*/async-[.0-9]*' 2> /dev/null | \

=== debian/changelog ===
helm (3.6.1-1) unstable; urgency=medium

  * Update to new upstream version 3.6.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 16:49:39 -0700

## helm 3.6.4

=== debian/changelog ===
helm (3.6.4-1) unstable; urgency=medium

  * Update to new upstream version 3.6.4.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jul 2020 09:18:16 -0700

## helm 3.7.0

=== debian/changelog ===
helm (3.7.0-2) unstable; urgency=medium

  * Team upload
  * ship helm-global-bindings.el in elpa-helm (Closes: #986854).

 -- David Bremner <bremner@debian.org>  Sat, 17 Apr 2021 07:31:15 -0300

helm (3.7.0-1) unstable; urgency=medium

  * Update to new upstream version 3.7.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Nov 2020 12:43:36 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends},
  emacsen-common (>= 2.0.8)
-Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Suggests: elpa-async
 Enhances: emacs, emacs24, emacs25
@@ -28,7 +27,6 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends},
  emacsen-common (>= 2.0.8)
-Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Suggests: elpa-async, elpa-helm-org
 Enhances: emacs, emacs24, emacs25

## helm 3.8.0

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,13 @@
 LOADPATH	:= -L $(PKGDIR)
 
 # Prefer emacs config folder in XDG_CONFIG_HOME to ~/.emacs.d
+# Assume emacs-user-directory is ~/.emacs.d
+# Try to find ELPA directory or STRAIGHT directory.
 XDG_ELPA_DIR	:= $(if $(XDG_CONFIG_HOME), $(XDG_CONFIG_HOME)/emacs/elpa, $(HOME)/.config/emacs/elpa)
-ELPA_DIR := $(if $(shell test -d $(XDG_ELPA_DIR)), $(HOME)/.emacs.d/elpa, $(XDG_ELPA_DIR))
+ELPA_DIR := $(if $(shell test -d $(XDG_ELPA_DIR)), $(XDG_ELPA_DIR), $(HOME)/.emacs.d/elpa)
+
+XDG_STRAIGHT_DIR := $(if $(XDG_CONFIG_HOME), $(XDG_CONFIG_HOME)/emacs/straight/build, $(HOME)/.config/emacs/straight/build)
+STRAIGHT_DIR := $(if $(shell test -d $(XDG_STRAIGHT_DIR)), $(XDG_STRAIGHT_DIR), $(HOME)/.emacs.d/straight/build)
 
 ASYNC_ELPA_DIR  =  $(shell \
 	test -d $(ELPA_DIR) && \
@@ -47,16 +52,84 @@
 	LOADPATH += -L $(ASYNC_ELPA_DIR)
 endif
 
+ASYNC_STRAIGHT_DIR  =  $(shell \
+	test -d $(STRAIGHT_DIR) && \
+	find -L $(STRAIGHT_DIR) -maxdepth 1 -regex '.*/async' 2> /dev/null | \
+	sort | tail -n 1)
+ifneq "$(ASYNC_STRAIGHT_DIR)" ""
+	LOADPATH += -L $(ASYNC_STRAIGHT_DIR)
+endif
+
 # Files to compile
 EL			:= $(sort $(wildcard helm*.el))
 
 # Compiled files
 ELC			:= $(EL:.el=.elc)
 
-
-.PHONY: clean autoloads batch-compile
+# How to make a pdf file from a texinfo file
+TEXI2PDF = texi2pdf --batch --clean --expand
+
+# How to make a pdf file from a tex file
+PDFTEX = pdftex
+
+# How to create directories with leading path components
+MKDIR	= mkdir -m 755 -p # try this if you have no install
+# MKDIR	= install -m 755 -d
+
+# How to create the info files from the texinfo file
+MAKEINFO = makeinfo
+
+# How to create the HTML file
+TEXI2HTML = makeinfo --html --number-sections --css-ref "https://www.gnu.org/software/emacs/manual.css"
+
+# Name of the program to install info files
+# INSTALL_INFO = ginstall-info # Debian: avoid harmless warning message
+INSTALL_INFO = install-info
+
+ORGFILES			:=  doc/helm-bugs.org  doc/helm-devel.org  doc/helm-manual-1.org  doc/helm-manual.org doc/helm.org doc/helm-classes.org
+TEXIFILES			:= $(ORGFILES:.org=.texi)
+INFOFILES			:= $(ORGFILES:.org=.info)
+HTMLFILES			:= $(ORGFILES:.org=.html)
+PDFFILES			:= $(ORGFILES:.org=.pdf)
+
+.PHONY: clean autoloads batch-compile clean-doc
 
 all: clean autoloads batch-compile
+
+doc:	doc/ox-texinfo.el
+doc: info
+doc: html
+# doc: pdf
+
+pdf: $(PDFFILES)
+html: $(HTMLFILES)
+info: $(INFOFILES)
+texi: $(TEXIFILES)
+
+$(TEXIFILES): | doc/ox-texinfo.el
+
+doc/ox-texinfo.el:
+	wget  https://code.orgmode.org/bzg/org-mode/raw/maint/lisp/ox-texinfo.el -O $@
+	# test -f doc/ox-texinfo.el || wget  https://code.orgmode.org/bzg/org-mode/raw/maint/lisp/ox-texinfo.el -O $@
+
+%.texi:		doc/ox-texinfo.el
+
+%.texi:		%.org
+	$(EMACS) $(LOADPATH) -l doc/ox-texinfo.el -l doc/ox-texinfo+.el  --file=$< --eval '(org-texinfo-export-to-texinfo+)'
+
+%.info:		%.texi
+	$(MAKEINFO) --no-split $< -o $@
+
+# the following two lines work around a bug in some versions of texi2dvi
+%.pdf:		LC_ALL=C
+%.pdf:		LANG=C
+%.pdf:		%.texi
+	$(TEXI2PDF) $<
+%.pdf:		%.tex
+	PDFLATEX=$(PDFTEX) $(TEXI2PDF) $<
+
+%.html:		%.texi
+	$(TEXI2HTML) --no-split -o $@ $<
 
 $(ELC): %.elc: %.el
 	$(EMACS) $(LOADPATH) -f batch-byte-compile $<
@@ -69,7 +142,11 @@
 	$(EMACS) $(LOADPATH) -f batch-byte-compile $(EL)
 
 # Remove all generated files
-clean:
+clean-doc:
+	rm -f doc/ox-texinfo.el $(TEXIFILES) $(INFOFILES)  $(HTMLFILES) $(PDFFILES)
+
+clean : clean-doc
+clean: clean-doc
 	rm -f $(ELC)
 
 # Make autoloads file
@@ -80,6 +157,20 @@
 PREFIX=/usr/local/
 BIN=${PREFIX}bin/
 DESTDIR=${PREFIX}share/emacs/site-lisp/helm/
+
+# On Debian, paths in `Info-default-directory-list' are in the order
+# as below:
+
+# INFODIR	= /usr/local/share/info
+# INFODIR	= /usr/local/info
+INFODIR		= /usr/share/info
+# INFODIR	= /usr/local/share/info
+
+# /usr/share/info is where Debian puts the info file for EMMS. So,
+# just mimic it.
+
+# For non-standard value of INFODIR, see `Info-directory-list'.
+
 install:
 	test -d ${DESTDIR} || mkdir ${DESTDIR}
 	rm -f ${DESTDIR}*.el
@@ -94,3 +185,21 @@
 	rm -vf ${DESTDIR}*.el
 	rm -vf ${DESTDIR}emacs-helm.sh
 	rm -vf ${BIN}helm
+
+$(DESTDIR)$(infodir)/%.info: doc/%.info
+
+install-info:	$(INFOFILES)
+	if [ ! -d  $(INFODIR) ]; then $(MKDIR) $(INFODIR); else true; fi ;
+	if [ ! -d  $(INFODIR)/helm-figures ]; then $(MKDIR) $(INFODIR)/helm-figures; else true; fi ;
+	cp -r doc/helm-figures $(INFODIR);
+	for f in $(INFOFILES:doc/%=%) ; do				\
+		cp doc/$$f $(INFODIR);					\
+		$(INSTALL_INFO) --info-dir=$(INFODIR) $(INFODIR)/$$f;	\
+	done
+
+clean-install-info:
+	$(RM) -r $(INFODIR)/helm-figures;
+	for f in $(INFOFILES:doc/%=%) ; do						\
+		$(INSTALL_INFO) --remove --info-dir=$(INFODIR) --remove $(INFODIR)/$$f;	\
+		$(RM) $(INFODIR)/$$f;							\
+	done

=== debian/changelog ===
helm (3.8.0-1) unstable; urgency=medium

  * Update to new upstream version 3.8.0.
  * Patch new docs build in Makefile for Debian.
  * Build and install new HTML and info docs.
    - Add d/elpa-helm.links.
    - Drop d/elpa-helm.docs.
    - Build the docs in override_dh_auto_build.
    - Install the docs in override_dh_auto_install.
    - Add build-deps on elpa-org >= 9.5.2, elpa-ox-texinfo+ and texinfo.
  * Override Lintian tag info-document-not-compressed for helm-figures symlink.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Dec 2021 12:56:20 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,12 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.18)
+Build-Depends:
+ debhelper (>= 10),
+ dh-elpa (>= 0.0.18),
+ elpa-org (>= 9.5.2),
+ elpa-ox-texinfo+,
+ texinfo,
 Standards-Version: 4.1.1
 Homepage: https://emacs-helm.github.io/helm/
 Vcs-Git: https://salsa.debian.org/emacsen-team/helm.git/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make doc

override_dh_auto_install:
	mkdir -p debian/elpa-helm/usr/share/doc/elpa-helm/html
	cp doc/*.html doc/helm-figures/*.png \
		debian/elpa-helm/usr/share/doc/elpa-helm/html

## helm 3.8.4

=== Makefile ===
# makefile for helm.

# Author: Michael Markert.
# Copyright (C) 2011~2012, Michael Markert, all rights reserved.

## This file is NOT part of GNU Emacs
##
## License
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING.  If not, write to
## the Free Software Foundation, Inc., 51 Franklin Street, Fifth
## Floor, Boston, MA 02110-1301, USA.

# Emacs invocation
EMACS_COMMAND   := emacs

# Use -q to have /usr/local/share/emacs/site-lisp and subdirs in load-path
EMACS		:= $(EMACS_COMMAND) -q -batch

EVAL := $(EMACS) --eval

PKGDIR := .

# Additional emacs loadpath
LOADPATH	:= -L $(PKGDIR)

# Prefer emacs config folder in XDG_CONFIG_HOME to ~/.emacs.d
# Assume emacs-user-directory is ~/.emacs.d
# Try to find ELPA directory or STRAIGHT directory.
XDG_ELPA_DIR	:= $(if $(XDG_CONFIG_HOME), $(XDG_CONFIG_HOME)/emacs/elpa, $(HOME)/.config/emacs/elpa)
ELPA_DIR := $(if $(shell test -d $(XDG_ELPA_DIR)), $(XDG_ELPA_DIR), $(HOME)/.emacs.d/elpa)

XDG_STRAIGHT_DIR := $(if $(XDG_CONFIG_HOME), $(XDG_CONFIG_HOME)/emacs/straight/build, $(HOME)/.config/emacs/straight/build)
STRAIGHT_DIR := $(if $(shell test -d $(XDG_STRAIGHT_DIR)), $(XDG_STRAIGHT_DIR), $(HOME)/.emacs.d/straight/build)

ASYNC_ELPA_DIR  =  $(shell \
	test -d $(ELPA_DIR) && \
	find -L $(ELPA_DIR) -maxdepth 1 -regex '.*/async-[.0-9]*' 2> /dev/null | \
	sort | tail -n 1)
ifneq "$(ASYNC_ELPA_DIR)" ""
	LOADPATH += -L $(ASYNC_ELPA_DIR)
endif

ASYNC_STRAIGHT_DIR  =  $(shell \
	test -d $(STRAIGHT_DIR) && \
	find -L $(STRAIGHT_DIR) -maxdepth 1 -regex '.*/async' 2> /dev/null | \
	sort | tail -n 1)
ifneq "$(ASYNC_STRAIGHT_DIR)" ""
	LOADPATH += -L $(ASYNC_STRAIGHT_DIR)
endif

# Files to compile
EL			:= $(sort $(wildcard helm*.el))

# Compiled files
ELC			:= $(EL:.el=.elc)


.PHONY: clean autoloads batch-compile

all: clean autoloads batch-compile

$(ELC): %.elc: %.el
	$(EMACS) $(LOADPATH) -f batch-byte-compile $<

# Compile needed files
compile: $(ELC)

# Compile all files at once
batch-compile:
	$(EMACS) $(LOADPATH) -f batch-byte-compile $(EL)

# Remove all generated files
clean:
	rm -f $(ELC)

# Make autoloads file
autoloads:
	$(EVAL) "(progn (setq generated-autoload-file (expand-file-name \"helm-autoloads.el\" \"$(PKGDIR)\")) \
(setq backup-inhibited t) (update-directory-autoloads \"$(PKGDIR)\"))"

PREFIX=/usr/local/
BIN=${PREFIX}bin/
DESTDIR=${PREFIX}share/emacs/site-lisp/helm/
install:
	test -d ${DESTDIR} || mkdir ${DESTDIR}
	rm -f ${DESTDIR}*.el
	rm -f ${DESTDIR}*.elc
	cp -f *.el $(DESTDIR)
	cp -f *.elc $(DESTDIR)
	cp -f helm-autoloads.el $(DESTDIR)
	cp -f emacs-helm.sh $(DESTDIR)
	ln -fs ${DESTDIR}emacs-helm.sh ${BIN}helm
uninstall:
	rm -vf ${DESTDIR}*.elc
	rm -vf ${DESTDIR}*.el
	rm -vf ${DESTDIR}emacs-helm.sh
	rm -vf ${BIN}helm

=== debian/changelog ===
helm (3.8.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:09:05 +0900

helm (3.8.4-1) unstable; urgency=medium

  * Update to new upstream version 3.8.4.
  * Remove docs installation and related patch, dropped upstream.
  * Add build-dependency on elpa-async
  * Patch Makefile install target paths to match the convention DH expects.

 -- Arto Jantunen <viiru@debian.org>  Sat, 19 Feb 2022 20:17:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-elpa (>= 0.0.18),
- elpa-org (>= 9.5.2),
- elpa-ox-texinfo+,
- texinfo,
+ elpa-async,
 Standards-Version: 4.1.1
 Homepage: https://emacs-helm.github.io/helm/
 Vcs-Git: https://salsa.debian.org/emacsen-team/helm.git/

## helm 3.18.4

=== debian/changelog ===
helm (3.18.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.18.4 release
  * Update the 001-git-and-static-version-number.patch quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 11 Aug 2025 21:38:03 +0200

helm (3.16.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.16.4 release
  * Update the 001-git-and-static-version-number.patch quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 16:19:27 +0200

helm (3.16.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.16.3 release
  * Update the 001-git-and-static-version-number.patch quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 02:50:36 +0200

helm (3.15.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.15.4 release
  * Update the 001-git-and-static-version-number.patch quilt patch
  * Bump the Standards-Version
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 02:50:36 +0200

helm (3.15.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.15.0 release
  * Update the 001-git-and-static-version-number.patch quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 May 2024 03:25:41 +0200

helm (3.14.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.14.4 release
  * Drop the 000-change-install-path quilt patch
  * Rename following quilt patchs:
    - 001-git-and-static-version-number in 001-git-and-static-version-number.patch
    - 002-no-display-git-version in 002-no-display-git-version.patch
  * Drop the debian/install file
  * Drop the debian/bash-completion-file
  * Add the debian/dirs file
  * Improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 12 May 2024 21:34:48 +0200

helm (3.13.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 3.13.1 version
  * Update quilt patchs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 13:33:28 +0100

helm (3.12.2-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 13:39:11 +0100

helm (3.12.2-1kaisen) kaisen-packages; urgency=medium

  * Import the helm 3.12.2 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 22 Jul 2023 21:37:29 +0100

helm (3.12.0-1kaisen) kaisen-packages; urgency=medium

  * Import the helm 3.12.0 version
  * Refresh the 001 patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 May 2023 01:12:23 +0100

helm (3.11.3-1kaisen) kaisen-packages; urgency=medium

  * Import the helm 3.11.3 version
  * Refresh the 001 patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 May 2023 23:40:47 +0100

helm (3.11.2-1kaisen) kaisen-packages; urgency=medium

  * Import the helm 3.11.2 version
  * Refresh the 001 patch
  * Update the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 18:53:16 +0100

helm (3.10.2-1kaisen) kaisen-packages; urgency=medium

  * Import the helm 3.10.2 version
  * Refresh the 001 patch
  * Update the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 15:48:39 +0100

helm (3.10.0-1kaisen) kaisen-packages; urgency=medium

  * Import the helm 3.10.0 version
  * Refresh the 001 patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 19:55:47 +0100

helm (3.9.3-1kaisen) kaisen-packages; urgency=medium

  * Import helm 3.9.3
  * Refresh 001 patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 17:20:21 +0100

helm (3.9.0-1kaisen) kaisen-packages; urgency=medium

  * Import helm 3.9.0
  * Refresh 001 patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 21:35:19 +0100

helm (3.8.1-1kaisen) kaisen-packages; urgency=medium

  * Import helm 3.8.1
  * Refresh 001 patch
  * Remove metadata tag
  * Add helm logo

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Mar 2022 22:07:32 +0100

helm (3.8.0-1kaisen) kaisen-packages; urgency=medium

  * Import helm 3.8.0
  * Refresh 001-remove-git-in-makefile patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 15:50:51 +0100

helm (3.7.2-1kaisen) kaisen-packages; urgency=medium

  * Import helm 3.7.2

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 11 Dec 2021 12:15:12 +0100

helm (3.7.1-1kaisen) kaisen-packages; urgency=medium

  * Import helm 3.7.1

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 18 Oct 2021 00:07:39 +0200

helm (3.7.0-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 25 Sep 2021 02:29:59 +0200

=== debian/control ===
Source: helm
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       golang-go (>= 1.24),
	       dh-golang,
	       bash-completion,
Standards-Version: 4.7.2
Homepage: https://helm.sh/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/helm
Vcs-Git: https://gitlab.com/kaisenlinux/packages/helm.git
XS-Go-Import-Path: github.com/helm/helm

Package: helm
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Description: The Kubernetes Package Manager

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --with=bash-completion --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build/ $(CURDIR)/obj-x86_64-linux-gnu/

override_dh_auto_build:
	go get -d ./...
	make

override_dh_auto_test:

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/bin/helm $(CURDIR)/debian/helm/usr/bin/
	install -p -m 0644 $(CURDIR)/debian/helm.png $(CURDIR)/debian/helm/usr/share/pixmaps/
	$(CURDIR)/debian/helm/usr/bin/helm completion bash > $(CURDIR)/debian/helm/usr/share/bash-completion/completions/helm
	$(CURDIR)/debian/helm/usr/bin/helm completion zsh > $(CURDIR)/debian/helm/usr/share/zsh/vendor-completions/_helm

## helm 4.0.3

=== Makefile ===
--- 
+++ 
@@ -79,6 +79,7 @@
 
 # Compile all files at once
 batch-compile:
+	@echo Compiling helm with $(EMACS_COMMAND)
 	$(EMACS) $(LOADPATH) -f batch-byte-compile $(EL)
 
 # Remove all generated files

=== debian/changelog ===
helm (4.0.3-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

  [ Xiyue Deng ]
  * Update to new upstream version 4.0.3.
    - Fixes FTBFS on Emacs 30.1 (Closes: #1099238)
  * (Build-)Depends on elpa-async >= 1.9.9-2
    - This version ships the required async-package.el file.
    - Explicitly depends on elpa-async >= 1.9.9-2 in elpa-helm-core
  * Update file list in d/*.elpa for new version
  * Adopt package under the Debian Emacsen team (Closes: #1007859)
    - Also add myself to Uploaders.
  * Add DEBIAN_ELPA_DIR for async detection
  * Temporary drop dependency on wfnames
    - It's currently too late in the Trixie release cycle and
      emacs-wfnames is still in ITP stage.
    - This patch should be removed once emacs-wfnames enters the archive.
  * Add NEWS entry about disabling wfnames
  * Add d/salsa-ci.yml with the default template
  * Drop xz compression in d/gbp.conf to be consistent with upstream

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 30 May 2025 14:49:51 -0700

=== debian/control ===
Source: helm
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends:
 debhelper (>= 10),
 dh-elpa (>= 0.0.18),
 elpa-async (>= 1.9.9-2),
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/helm
Vcs-Git: https://salsa.debian.org/emacsen-team/helm.git/
Homepage: https://emacs-helm.github.io/helm/

Package: elpa-helm-core
Architecture: all
Depends:
 emacsen-common (>= 2.0.8),
 ${elpa:Depends},
 ${misc:Depends},
 elpa-async (>= 1.9.9-2),
Recommends:
 emacs (>= 46.0),
Suggests:
 elpa-async,
Enhances:
 emacs,
 emacs24,
 emacs25,
Description: Emacs Helm library files
 This package provides library Emacs Lisp files used by the elpa-helm
 package, and by Emacs Lisp addons that depend on Helm.
 .
 Please see the description & documentation for the elpa-helm package
 for more information.

Package: elpa-helm
Architecture: all
Depends:
 emacsen-common (>= 2.0.8),
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Suggests:
 elpa-async,
 elpa-helm-org,
Enhances:
 emacs,
 emacs24,
 emacs25,
Description: Emacs incremental completion and selection narrowing framework
 Helm is incremental completion and selection narrowing framework for
 Emacs. It will help steer you in the right direction when you're
 looking for stuff in Emacs (like buffers, files, etc).
 .
 Helm is a fork of anything.el originally written by Tamas Patrovic and
 can be considered to be its successor. Helm sets out to clean up the
 legacy code in anything.el and provide a cleaner, leaner and more
 modular tool, that's not tied in the trap of backward compatibility.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/helm-$1\.tar\.gz/ \
  https://github.com/emacs-helm/helm/tags .*/v?(\d\S*)\.tar\.gz

## helm 4.0.5

=== debian/changelog ===
helm (4.0.5-1) unstable; urgency=medium

  * Update to new upstream version 4.0.5.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add debian/upstream/metadata
  * Use canonical URL in Vcs-Git.
  * Update watch file format version to 4.
  * d/watch: modernize using substitute strings to be more robust
  * d/rules: skip upstream make and let dh_elpa handle it
    - Also drop patches for handling Makefile
  * d/patches: mark not forwarded patches as "Forwarded: not-needed"
  * d/control: drop elpa-async from Suggests; already in Depends
  * d/control: make elpa-helm depends on elpa-helm-core
    - helm.el has `(require 'helm-core)'.
  * d/elpa-helm.lintian-overrides: Drop unused lintian override
  * d/elpa-helm.lintian-overrides: adds override for lisp code
    - Some lisp code in heredoc was mis-detected as bash term.
  * d/control: update section lisp -> editors
  * d/control: update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 19 Aug 2025 16:10:32 -0700

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/emacs-helm/helm/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## helm 4.0.6

=== debian/changelog ===
helm (4.0.6-1) unstable; urgency=medium

  * Update to new upstream version 4.0.6.
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 25 Sep 2025 23:04:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: helm
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Xiyue Deng <manphiz@gmail.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-elpa (>= 0.0.18),
  elpa-async (>= 1.9.9-2),
-Standards-Version: 4.1.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/helm
-Vcs-Git: https://salsa.debian.org/emacsen-team/helm.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/helm.git
 Homepage: https://emacs-helm.github.io/helm/
 
 Package: elpa-helm-core
@@ -21,8 +21,6 @@
  elpa-async (>= 1.9.9-2),
 Recommends:
  emacs (>= 46.0),
-Suggests:
- elpa-async,
 Enhances:
  emacs,
  emacs24,
@@ -38,13 +36,13 @@
 Architecture: all
 Depends:
  emacsen-common (>= 2.0.8),
+ elpa-helm-core (>= ${source:Version}~),
  ${elpa:Depends},
  ${misc:Depends},
 Recommends:
  emacs (>= 46.0),
 Suggests:
  elpa-async,
- elpa-helm-org,
 Enhances:
  emacs,
  emacs24,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo "Skip upstream make; rely on dh_elpa."

override_dh_auto_install:
	@echo "Skip upstream make; rely on dh_elpa."

=== debian/watch ===
Version: 5

Template: Github
Owner: emacs-helm
Project: helm
